package com.ss.android.ugc.cut_ui;

import X.AnonymousClass7OP;
import android.os.Parcel;
import android.os.Parcelable;
import kotlin.h.b.n;

public enum CutSourceType implements Parcelable {
    URL("url"),
    ZIP("zip"),
    JSON("json"),
    WORKSPACE("workspace"),
    NEW("new");
    
    public static final Parcelable.Creator<CutSourceType> CREATOR = null;
    public final String desc;

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        n.LIZLLL(parcel, "");
        parcel.writeString(name());
    }

    public final String getDesc() {
        return this.desc;
    }

    /* access modifiers changed from: public */
    static {
        CREATOR = new AnonymousClass7OP();
    }

    /* access modifiers changed from: public */
    CutSourceType(String str) {
        this.desc = str;
    }
}
